## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.model.validation
Class ConstraintValidator

    java.lang.Object
      org.eclipse.emf.ecore.util.EObjectValidator
          org.eclipse.datatools.sqltools.core.modelvalidity.SQLModelValidator
              org.eclipse.datatools.sqltools.core.modelvalidity.DefaultSQLModelValidator
                  org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.model.validation.ConstraintValidator

All Implemented Interfaces:
  org.eclipse.emf.ecore.EValidator

    public abstract class ConstraintValidator

extends org.eclipse.datatools.sqltools.core.modelvalidity.DefaultSQLModelValidator

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`org.eclipse.emf.ecore.util.EObjectValidator.DynamicEClassValidator, org.eclipse.emf.ecore.util.EObjectValidator.DynamicEDataTypeValidator`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EValidator
`org.eclipse.emf.ecore.EValidator.Descriptor, org.eclipse.emf.ecore.EValidator.PatternMatcher, org.eclipse.emf.ecore.EValidator.Registry, org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider, org.eclipse.emf.ecore.EValidator.ValidationDelegate`

Field Summary
`static java.lang.String` `DATABASE_IDENTIFIER`
`static java.lang.String` `DEFAULT_BASE_TABLE`
`static java.lang.String` `IMMU_CATALOG`
`static java.lang.String` `NEED_VALIDATE_SPECIAL_DATE_TYPE`

Fields inherited from class org.eclipse.datatools.sqltools.core.modelvalidity.SQLModelValidator
`CANT_ALLOW_DUPLICATED_ROW, CANT_ALLOW_NULLABLE, DUPLICATE_IDENTIFIER, EMPTY_IDENTIFIER, INVALID_DEFAULT_VALUE, INVALID_IDENTIFIER`

Fields inherited from class org.eclipse.emf.ecore.util.EObjectValidator

`DATA_VALUE__FRACTION_DIGITS_IN_RANGE, DATA_VALUE__LENGTH_IN_RANGE, DATA_VALUE__MATCHES_PATTERN, DATA_VALUE__TOTAL_DIGITS_IN_RANGE, DATA_VALUE__TYPE_CORRECT, DATA_VALUE__VALUE_IN_ENUMERATION, DATA_VALUE__VALUE_IN_RANGE, DIAGNOSTIC_SOURCE, EOBJECT__EVERY_BIDIRECTIONAL_REFERENCE_IS_PAIRED, EOBJECT__EVERY_DATA_VALUE_CONFORMS, EOBJECT__EVERY_KEY_UNIQUE, EOBJECT__EVERY_MAP_ENTRY_UNIQUE, EOBJECT__EVERY_MULTIPCITY_CONFORMS, EOBJECT__EVERY_PROXY_RESOLVES, EOBJECT__EVERY_REFERENCE_IS_CONTAINED, EOBJECT__NO_CIRCULAR_CONTAINMENT, EOBJECT__UNIQUE_ID, INSTANCE, ROOT_OBJECT`

Fields inherited from interface org.eclipse.emf.ecore.EValidator
`MARKER, RELATED_URIS_ATTRIBUTE, URI_ATTRIBUTE`

Constructor Summary
`ConstraintValidator()`

Method Summary

Methods inherited from class org.eclipse.datatools.sqltools.core.modelvalidity.DefaultSQLModelValidator
`validate`

Methods inherited from class org.eclipse.emf.ecore.util.EObjectValidator

`getFeatureLabel, getObjectLabel, getValueLabel, validate_BidirectionalReferenceIsPaired, validate_EveryBidirectionalReferenceIsPaired, validate_EveryDataValueConforms, validate_EveryDefaultConstraint, validate_EveryKeyUnique, validate_EveryMapEntryUnique, validate_EveryMultiplicityConforms, validate_EveryProxyResolves, validate_EveryReferenceIsContained, validate_NoCircularContainment, validate_UniqueID, validate, validate, validate, validate, validate, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATABASE_IDENTIFIER

    public static final java.lang.String DATABASE_IDENTIFIER

See Also:
  Constant Field Values

### DEFAULT_BASE_TABLE

    public static final java.lang.String DEFAULT_BASE_TABLE

See Also:
  Constant Field Values

### NEED_VALIDATE_SPECIAL_DATE_TYPE

    public static final java.lang.String NEED_VALIDATE_SPECIAL_DATE_TYPE

See Also:
  Constant Field Values

### IMMU_CATALOG

    public static final java.lang.String IMMU_CATALOG

See Also:
  Constant Field Values

Constructor Detail

### ConstraintValidator

    public ConstraintValidator()